# azure.mgmt.hanaonazure package

## Submodules

- azure.mgmt.hanaonazure.models module
- azure.mgmt.hanaonazure.operations module

## Module contents

class `azure.mgmt.hanaonazure.``HanaManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  HANA on Azure Client

  Variables:

  - config (HanaManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.hanaonazure.operations.Operations) – Operations operations
  - hana_instances (azure.mgmt.hanaonazure.operations.HanaInstancesOperations) – HanaInstances operations
  - sap_monitors (azure.mgmt.hanaonazure.operations.SapMonitorsOperations) – SapMonitors operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription ID which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.hanaonazure.``HanaManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for HanaManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription ID which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL